module Raygun
  module Apm
    module Sidekiq
      class Railtie < ::Rails::Railtie
        initializer "raygun.apm.sidekiq" do |app|
          require "raygun/apm"
          require "raygun/apm/sidekiq/hook"
          Raygun::Apm::Blacklist.extend_with Raygun::Apm::Sidekiq::BLACKLIST
          # Explictly enable instrumenting HTTP until a good control API is figured out
          require "raygun/apm/hooks/net_http"
          require "raygun/apm/hooks/redis" if defined?(Redis::Client)
          # Attempt to explicitly require the raygun4ruby sidekiq integration
          begin
            require "raygun/sidekiq"
          rescue LoadError
          end
        end
      end
    end
  end
end
